View Issue Details

IDProjectCategoryView StatusLast Update
0002925Ham Radio DeluxeBugpublic2018-11-11 00:34
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.899 
Target VersionFixed in Version6.4.0.902 
Summary0002925: Logbook: CLI "db refresh" command causes crash
DescriptionSending the "db refresh" command to the Logbook causes a crash.
Steps To Reproduce1) Start up the Logbook
2) Use a telnet client (like Putty) to connect to port 7826 on the computer where the Logbook is running
3) from your Telnet client, issue the command "db refresh "Database Name"", where "Database Name" is the screen name of any of the Logbook databases you've got configured.

BUG#1) The Logbook crashes.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleInterfacing
Testing Not Tested

Relationships

Activities

K7ZCZ

2018-10-23 16:29

manager   ~0006340

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4392

WA9PIE

2018-11-05 11:55

administrator   ~0006379

I ran the steps and can verify that there was no crash.

Mantis-2925.PNG (18,065 bytes)
Mantis-2925.PNG (18,065 bytes)

Issue History

Date Modified Username Field Change
2018-10-23 11:26 K7ZCZ New Issue
2018-10-23 16:29 K7ZCZ Assigned To => K7ZCZ
2018-10-23 16:29 K7ZCZ Status new => resolved
2018-10-23 16:29 K7ZCZ Resolution open => fixed
2018-10-23 16:29 K7ZCZ Note Added: 0006340
2018-11-04 07:49 K7ZCZ Fixed in Version => 6.4.0.900
2018-11-05 11:55 WA9PIE File Added: Mantis-2925.PNG
2018-11-05 11:55 WA9PIE Note Added: 0006379
2018-11-05 11:56 WA9PIE Status resolved => closed
2018-11-05 11:56 WA9PIE Testing Not Started => Not Tested
2018-11-11 00:34 WA9PIE Fixed in Version 6.4.0.900 => 6.4.0.902
2018-11-11 00:34 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe